aio_read64(3)

NAME
aio_read64 - Initiate an asynchronous read operation

SYNOPSYS
#include <errno.h>
#include <aio.h>

int aio_read64 (struct aiocb *aiocbp)

DESCRIPTION
This function is similar to the aio_read function. The only difference is that on 32 bit machines, the file descriptor should be opened in the large file mode. Internally, aio_read64 uses functionality equivalent to lseek64 to position the file descriptor correctly for the reading, as opposed to lseek functionality used in aio_read. When the sources are compiled with _FILE_OFFSET_BITS == 64 , this function is available under the name aio_read and so transparently replaces the interface for small files on 32 bit machines.

RETURN VALUES
See aio_read.

ERRORS
See aio_read.

SEE ALSO
aio(3), aio_cancel(3), aio_cancel64(3), aio_error(3), aio_error64(3), aio_fsync(3), aio_fsync64(3), aio_init(3), aio_read(3), aio_return(3), aio_return64(3), aio_suspend(3), aio_suspend64(3), aio_write(3), aio_write64(3), errno(3),